RELEASES HISTORY
----------------

AVStoDVD release 2.8.0 Alpha 141118 (November 18th, 2014)
- Some bugs fixed
- Added 'Fix Subtitles Errors' option in 'Edit Title'/'Subtitles' (previously fixing routine was mandatory)
- Added better support to extended ASCII chars (thanks to manolito)
- Added few System Info details to project log file
- Added 'Demux File' tool
- Improved support to LAV Filters (add audio mixer adjust routine at runtime)
- Improved support to SubRip SRT subtitles (musical notes and removal of <font> formatting)
- Improved 'Fix SRT' routine for SubRip subtitles  
- Improved support to DVD compliant DTS audio tracks
- Improved log activity
- Removed "_0" project/DVD name suffix on first trial
- Replaced ffdshow and Haali Media Splitter with LAV Filters 0.63 in Installer Package
- Changed maximum number of Titles from 99 to 64 to reflect Muxman limitation
- AVSMeter updated to release 1.8.3

AVStoDVD release 2.7.5 (August 11th, 2014)
- Some bugs fixed
- Added MotionProtectedFPS, Motion_12Dec05 and MaskTools libraries to implement Motion Compensation FPS change
- Replaced ChangeFPS/ConvertFPS with MotionProtectedFPS in AviSynth script generation routine
- Improved framerate detection routine (VFR sources)
- Improved support to SRT subtitles (ANSI with 'LF' only format is now supported)
- Improved Preferences loading routine from Registry (added some sanity checks)
- MediaInfo updated to release 0.7.69

AVStoDVD release 2.7.4 (June 14th, 2014)
- Some bugs fixed
- Added possibility to resize and maximize main AVStoDVD window
- Added NTSC SlowDown routine for progressive PAL to NTSC conversions ('Preferences'/'AviSynth')
- Added support to LAV Filters (detection and preferred codecs selection)
- Added support to MPEG-4 Part 14 (mp4 and m4a) audio files as input
- Added AVSMeter 1.7.7 to NoInstall and Installer packages
- Added new routine ('ReadAVSInfoF') to read AviSynth scripts and DGIndex projects
- Replaced FFmpeg with AVSMeter to run 'ReadAVSInfo' routine (A2DInfo.avsi)
- Moved FFmpeg HQ option from 'Edit Title' to 'Preferences'
- Added possibility to customize the FFmpeg HQ command line flags
- Improved handling of DGIndex projects sources
- Improved 'Preview Title Output' avs script for better compatibility with Raw Video directshow codecs
- DGIndex updated to release 1.5.8
- MediaInfo updated to release 0.7.67

AVStoDVD release 2.7.3 (January 19th, 2014)
- Some bugs fixed
- Added 'Preferred DirectShow Codecs Setup' section
- Added SetACL 2.0.3.0 (LGPL by Helge Klein) to AVStoDVD package
- Improved framerate conversion section of AviSynth script generation routine
- Updated A2DSource.avsi to properly handle non-mod4 width sources (thanks to manolito)
- FFmpeg updated to 2.1 (git-9244a68)

AVStoDVD release 2.7.2 (October 15th, 2013)
- Some bugs fixed
- Added support to MicroDVD format (SUB/TXT) subtitles
- Added automated unzip of Skin icons in case of library load fault during startup
- Improved SRT->SUP subtitles vertical positioning for widescreen aspect ratio
- Improved log activity for single project and batch jobs
- Improved Video DVD compliant detection routine (max bitrate is now checked)
- Changed default subtitles font dimension from 18pt to 16pt
- Removed ReJig from package (HCenc/FFmpeg bitrate accuracy is nowadays reliable)
- ffdshow 32bit updated to 1.3.4500

AVStoDVD release 2.7.1 (July 30th, 2013)
- Some bugs fixed
- Added errors check just after IDX/SUB and SRT subtitles external files loading
- Added 'Fix IDX' routine for IDX/SUB subtitles
- Added assets folder free disc space check at project start up
- Added 'Full Preview' option in DVD Menu Editor
- Replaced Avs2Avi with FFmpeg for NULL encoding purposes (Avs2Avi has been actually removed from AVStoDVD package)
- Improved ReadAVSInfo routine
- Improved 'Open Project' routine (now it detects media files as wrong input and switch to 'Add Title' routine)
- Improved 'Fix SRT' routine for authored subtitles
- Improved ASS subtitles parsing routine
- Improved log activity

AVStoDVD release 2.7.0 (June 3rd, 2013)
- Some bugs fixed
- Added possibility to customize authored Subtitles position ('Preferences'/'Authoring')
- Added 'AVS Audio Source Filter' in 'Preferences'/'AviSynth'
- Renamed 'AVS Source Filter' to 'AVS Video Source Filter' in 'Preferences'/'AviSynth'
- Replaced 'QuEnc CBR 1-pass' Video Encoding Profile with 'FFmpeg CBR 1-pass'
- Replaced QuEnc with FFmpeg for AC3 and MP2 encoding (QuEnc has been actually removed from AVStoDVD package)
- Added 'Use FFmpeg HQ Options' in 'Title Edit'/'Video'
- Added possibility to resize Jobs List window
- Added Jobs List save and load routines
- Added support of OpenType fonts for labels in 'DVD Menu Editor'
- Added possibility to customize Normalization peak level in 'Preferences'/'Audio'
- Added *DBPATH command to HCenc ini file
- Added input support to Adaptive Multi-Rate (amr) audio files
- Improved titles media properties info management
- Improved SRT subtitles parsing routine
- Improved ASS to SRT conversion routine
- Improved log activity (reference to Help/FAQs section)
- Improved AviSynth Script generation routine (AddBorders now uses only mod 2 values)
- Increased ReadAVSInfo routine timeout from 30s to 60s
- Removed 'Save Log file in Output Folder at runtime' option in 'Preferences'/'Misc' (now it always saved)

AVStoDVD release 2.6.0 (February 5th, 2013)
- Some bugs fixed
- Added 'FFmpeg (Safe Mode)' to AC3 Audio Encoding profiles in 'Preferences'/'Audio'
- Added 'Adjust Frame Strategy' in 'Preferences'/'AviSynth'
- Added a consistency check to user defined Paths during preferences loading ('Preferences'/'Paths')
- Added 'FFmpeg (Safe Mode)' option in 'Title Edit'/'Video'/'Video Encoding Profile'
- Added Auto Crop routine in 'Title Edit'/'AviSynth'/'Crop'
- Added AviSynth deblocking filter 'Deblock' (by Manao) in 'Title Edit'/'AviSynth'
- Added AviSynth library 'DeBlock_Int.avsi' (thanks to Didée and Manolito)
- Added a time cap (2h) to AC3 audio encoding step (Wavi+Aften profile). Overrun leads to process kill and 'FFmpeg (Safe Mode)' start as backup.
- Added a framerate consistency check vs selected Video Standard to source titles during 'Add Title' routine
- Added audio ON/OFF control to 'Preview Clip' section
- Added ffdshow 1.2.4422.0 32bit to Installer package
- Added GraphStudio 0.3.2.0 beta to NoInstall and Installer packages
- Added 'Codecs' as new element in Main AVStoDVD Menu
- Added 'ffdshow Video Configuration' option from 'Codecs' (Main Menu)
- Added 'ffdshow Audio Configuration' option from 'Codecs' (Main Menu)
- Added 'Build Graph Filter' option from 'Codecs' (Main Menu)
- Moved 'AviSynth FrameServing Check' from 'Title' to 'Codecs' (Main Menu)
- Removed ImgBurn Installer from AVStoDVD Installer Package. There is still a link to ImgBurn webpage.
- Changed 'Adjust ffdshow Mixer Output at runtime' to 'Adjust ffdshow Settings at Runtime' (now including Raw Video and Raw Audio adjustments for Preview Clip section)
- Changed maximun number of jobs for batch encoding from 10 to 30
- Improved AviSynth Script generation routine (revision of functions calls sequence)
- Improved 'Quick StartUp Tutorial' section
- Improved 'Fix SRT' routine for authored subtitles
- Improved log activity (Audio Encoding section)
- Improved GUI graphics (progress bars color change)
- Re-organized AviSynth filters options disposition in 'Title Edit'/'AviSynth'
- FFmpeg updated to build git-8b6aeb1
- FFMpegSource updated to 2.17
- NicAudio updated to 2.0.6
- Haali Media Splitter updated to 1.11.96.14
- MKVToolNix updated to 5.8.0
- MediaInfo updated to 0.7.61

AVStoDVD release 2.5.1 (September 22nd, 2012)
- Fixed issue (languages folder missing) with Installer Package

AVStoDVD release 2.5.0 (September 21st, 2012)
- Some bugs fixed
- Added Quick StartUp Tutorial to setup main AVStoDVD preferences
- Added possibility to customize GUI language. Support to create translation ini files is welcome!
- Added German GUI language. Many thanks to Manolito
- Added support to HCenc *ZONE command (to increase or lower bitrate for parts of the video)
- Added 160 kbps as supported bitrate for MP2 and AC3 audio encoding
- Added 160 kbps to DVD compliant audio bitrates list for MP2 and AC3
- Added 'Set encoding Priority' in 'Preferences'/'Misc'
- Added 'Encoding Window Style' in 'Preferences'/'Misc'
- Added Preferences Paths integrity check at startup
- Added question messages (Yes/No) with automatic default reply at runtime
- Added 'Seek Chapters' option in 'Title Edit'/'Chapters'
- Added AviSynth library 'Downmix.avsi' (thanks to tebasuna51)
- Added MANONO1/2/3 to available matrix under 'Title Edit'/'Video'/'HCenc Advanced Options'
- Removed 'Display errors messages at runtime' option in 'Preferences'/'Misc'
- Replaced 'Keep DVD Compliant Video/Audio' with 'Video/Audio Direct Stream Copy' in 'Title Edit'
- Replaced 'Spline64Resize' with 'Spline16Resize' as default AVS downsizing filter
- Improved bitrate calculation routine
- Improved FrameRate detection routine with MediaInfo
- Improved support to SubStation Alpha subtitles (ssa/ass)
- Improved 'Fix SRT' routine for authored subtitles
- Improved audio channels downmix routine
- MKVToolNix updated to 5.7.0 (including support to new tracks ID numbering from 5.2.0 release)
- MuxMan updated to 0.16.8
- FFmpeg updated to N-35509
- HCenc updated to 0.26 beta
- MediaInfo updated to 0.7.59


AVStoDVD release 2.4.2 (November 22nd, 2011)
- Some bugs fixed
- Added possibility to edit source titles media info ('Title'/'Edit Source Title Info')
- Added a consistency check on special chars to main window 'DVD Label' and 'Title Edit'/'General'/'Title Name'
- Added custom values saving in (and loading from) Windows Registry from 'Title Edit'/'AviSynth'
- Added 'Bias' and 'DC Precision' options in 'Title Edit'/'Video'/'HCenc Advanced Options'
- Improved backup Audio encoding routine (FFmpeg based)
- Improved input titles format checking routine
- Wavi updated to 1.06m
- FFmpeg updated to 32754
- MediaInfo updated to 0.7.50


AVStoDVD release 2.4.1 (August 16th, 2011)
- Some bugs fixed
- Added 'DVD Assets Path' option in 'Preferences'/'Paths'
- Added possibility to customize subtitles color in 'Preferences'/'Authoring'. Limited to authored (not hard-encoded) subtitles, using '-palette' flag in BatchMux
- Added icons legend to Progress Status window
- Added official support to Windows 7 32bit
- Changed max displayed subtitles (embedded in source titles, like mkv or m2ts) from 10 to 100
- Improved source titles drag&drop into main window routine
- Improved source chapters detection routine (now it works for IFO files)
- Improved MKVExtract detection routine
- Improved IDX/SUB subtitles demuxing in 'DVD Parse' section
- MKVtoolnix updated to 4.9.1
- MediaInfo updated to 0.7.47


AVStoDVD release 2.4.0 (May 27th, 2011)
- Some bugs fixed
- Added multi subtitles tracks encoding and authoring capability
- Added support to VobSub subtitles (idx/sub)
- Added support to SubStation Alpha subtitles (ssa/ass)
- Added order tracking during Audio/Subs tracks selection
- Added possibility to open background image from DVD Menu Editor with default image viewer/editor
- Added possibility to use custom images for DVD Menu Thumbnails (Static Menu only)
- Added possibility to abort MPEG2 Muxing step at runtime
- Added possibility to abort DVD Authoring step at runtime
- Added graphical support to 32bit icons using VB resource library (DLL ActiveX)
- Added 'Display errors messages at runtime' option in 'Preferences'/'Misc'
- Added 'Menu Templates Path' option in 'Preferences'/'Paths'
- Removed 'Local AppData Path' option in 'Preferences'/'Paths' (discontinued)
- Moved all .ico files to single .dll file for Skins
- Changed 'Default' Skin (thanks to 8ternity for new suite). Old 'Default' is now called 'Classic'
- Changed 'Default' Splash Screen (thanks to 8ternity). Old 'Default' is now called 'Classic'
- Changed Installer images according to new 'Default' Splash Screen (thanks to 8ternity)
- Changed default authored subtitles format from 'Tahoma 18pt Bold' to 'Tahoma 18pt'
- Improved 'Fix SRT' routine for authored subtitles
- Improved 'Auto Adjust Delay' routine
- Improved log activity (DVD Authoring section)
- Added MKVToolNix 4.5.0 to AVStoDVD Installer package
- FFmpeg updated to r28671
- VSFilter updated to 1.5.2.3093
- MediaInfo updated to 0.7.44


AVStoDVD release 2.3.4 (January 27th, 2011)
- Some bugs fixed
- Added 'Auto Adjust Delay' option in 'Preferences'/'Audio'
- Added 'Auto Adjust Delay' option in 'Title Edit'/'Audio' (adjustment is done during Audio encoding step)
- Added 'Copy Title Name to DVD Label' command button in 'Title Edit'/'General'
- Added FFmpeg as 'AC3 Audio Encoder' in 'Preferences'/'Audio'
- Added 'Fix SRT' routine for authored subtitles (mandatory, at runtime)
- Added Channels number and BitRate check after Audio encoding. Upon failure, backup Audio encoding routine (FFmpeg based) is started
- Added tooltips to Progress Status Window icons
- Added Drop Shadows customization for 'Play All' and 'Arrows' buttons in DVD Menu Wizard
- Added (again!) ImagoMPEG-Muxer to multiplex AC3 and MP2 Audio streams (instead of FFmpeg)
- Moved all Skins but 'Default' as add-on packages at AVStoDVD SourceForge webpage
- Moved all Menu Templates but 'Menu in Black' as add-on packages at AVStoDVD SourceForge webpage
- Added 'Canny_Suite_100_by_JohnJ' (33 new Menu Templates) as add-on package at AVStoDVD SourceForge webpage (many thanks to JohnJ)
- Removed 'cachefile' command when FFMpegSource is used as 'AVS Source Filter'
- Improved DVD burning success detection (ImgBurn log parsing)
- MediaInfo updated to 0.7.41
- Haali Media Splitter updated to 1.10.348.15
- ImgBurn updated to 2.5.5.0


AVStoDVD release 2.3.3 (December 1st, 2010)
- Some bugs fixed
- Added 'HQDN3D' AviSynth denoising filter (by Loren Merritt) in 'Title Edit'/'AviSynth'
- Added possibility to customize Menu Editor thumbnails AviSynth scripts
- Added possibility to save HCenc advanced option settings in registry
- Added new 'FatCow', 'Crystal' and 'Viva Vista' skins (many thanks to JohnJ)
- Added new 'Black' splash screen (many thanks to JhonJ)
- Revised AviSynth video filters position criteria in AVS Script generation routine
- Improved frame rate conversion ('FrameRate' option added to 'A2DSource.avsi' function)
- Improved log activity (DVD Menu section)
- Improved errors handling
- VSFilter updated to 2.39.5.2
- MediaInfo updated to 0.7.36


AVStoDVD release 2.3.2 (October 12th, 2010)
- Some bugs fixed
- New Splash Screen and Icons available (many thanks to 8ternity). See 'Graphics' folder
- Added 'Select Splash Screen' in 'Preferences'/'Misc'
- Added 'Force FFmpeg when temp WAV is > 4GB' in 'Preferences'/'Audio' (auto switch to FFmpeg when temporary audio file is larger than 4GB)
- Added AviSynth frameserving capability check option in 'Menu'/'Title'
- Added 'Run Title AviSynth FrameServing Check at runtime' option in 'Advanced Settings' (default Off)
- Added 'Frame Aspect Ratio' as Video Media Info
- Moved 'Enable MultiThread Encoding' from 'Advanced Settings' to 'Preferences'/'System'
- Revised 'Preferences' Tabs content and layout. Icons updated accordingly
- Changed Windows Registry Directory used to store Preferences (from HKLM to HKCU)
- Improved AviSynth script generation routine (resizing section)
- Improved 'Copy Title Settings' in Title Edit Section (copy one-to-many)
- Improved handling of mpeg2 and d2v source titles
- Improved multithread audio encoding when using FFmpeg
- Included in Help section links to source codes to all GPL/LGPL 3rd party software distributed
- HCenc updated to 0.25
- MediaInfo updated to 0.7.35
- FFmpeg updated to r24623
- ImgBurn updated to 2.5.2.0


AVStoDVD release 2.3.1 (July 9th, 2010)
- Some bugs fixed
- Added 'DVD Subs Font' in 'Preferences'/'AuthoringBurning': allows change of font name, format and size for authored subs.
- Added 'Use PAL SpeedUp for NTSC-film to PAL' in 'Preferences'/'Encoding' (AssumeFPS("pal_film") is used instead of DGPulldown to upsize fps)
- Added 'Save general Settings at program Exit' in 'Preferences'/'Misc' ('DVD Size', 'Output Setup', 'Advanced Project Settings' can be stored in the Windows Registry)
- Added 'MSharpen' AviSynth filter (by Donald Graft) in 'Title Edit'/'AviSynth'
- Added 'ColorMatrix' AviSynth filter (by Wilbert & Tritical) in 'Title Edit'/'AviSynth'
- Added 'SubsExtension' option in 'Title Edit'/'Subtitles'
- Improved frame rate conversion ('convertfps=true' DSS flag only for VFR video). 'A2DSource.avsi' function updated accordingly.
- FFmpeg updated to r23107


AVStoDVD release 2.3.0 (May 14th, 2010)
- Added multi audio tracks encoding and authoring capability
- Added 'AVS DownSize Filter' and 'AVS UpSize Filter' options in 'Preferences'/'Encoding' (removed 'AVS Resize Filter')
- Added 'Export Chapters' feat in 'Title Edit'/'Chapters' (IfoEdit and OGG formats supported)
- Added *PULLDOWN command in HCenc to directly convert NTSC footage from 23.976 to 29.97 fps
- Added DVD Menu highlights colors customization
- Added check on DVD Folder size vs DVD Assets size
- Added check on bitrate spikes causing DVD authoring failure (from BatchMux log file)
- Added 'Resolution' as Audio Media Info
- Changed Video Encoding Profile "HCenc OPV 1-pass" to "HCenc VBR 1-pass" (using internal HCenc 0.24 quantizer predictor)
- Changed default HCenc LUMGAIN option from "0" to "1"
- Changed default Interlaced Encoding field order from BFF to TFF.
- Improved handling of 50 and 59.94 fps based video footage
- Improved support to input MPEG2 video footage (ask for automatic indexing, ask for changing Video Standard at runtime)
- Improved support to input DV video footage
- Improved support to UTF-8 subtitles format (.srt)
- Improved support to DTS and DTS-ES audio track
- HCenc updated to 0.24 beta 04-04-2010
- FFmpeg updated to r22815
- ImgBurn updated to 2.5.1.0
- Haali Media Splitter updated to 1.10.120.15
- MediaInfo updated to 0.7.32

AVStoDVD release 2.2.6 (January 27th, 2010)
- Some bugs fixed
- Added 'Aften Advanced Configuration' options (Pad, DRC, BWFilter) in 'Title Edit'/'Audio'
- Added FAQ section in Help file
- Added check on durations of output vs input audio/video streams
- Added 'Copy Thumbs Graphic Properties' feature to DVD Menu Editor
- Added 'Acid Compass' DVD Menu template
- Improved support to VFR (Variable Frame Rate) video
- Removed Wave PCM audio stream retaining: too many issues with FFMpeg (de)muxing
- Revised Splash Screen layout
- MediaInfo updated to 0.7.26


AVStoDVD release 2.2.5 (December 21st, 2009)
- Some bugs fixed
- Added capability to read Chapters positions from media file that contains that info
- Added 'Use Source Chapters List' option in 'Preferences'/'Authoring Burning'
- Added automatic VOB indexing when input files is a DVD info file (ifo)
- Added possibility to demux Audio streams when processing multi Audio tracks titles
- Added 'NicAudio.dll': an AviSynth plug-in to open MPEG Audio/AC3/DTS/LPCM and other uncompressed formats (thanks to Nic/Dimzon/IanB/Tebasuna)
- Added Text (Subtitles) info reading using MediaInfo.dll
- Added possibility to demux Subtitles streams (SubRip SRT and VobSub IDX/SUB format) when processing Matroska contaneirs with Subs
- Added support to Unicode and UTF-8 text format for SubRip SRT Subtitles
- Added support to MKVExtract (if already installed - not included in AVStoDVD Installer package) to demux audio and subs from Matroska containers
- Added 'PgcDemux' 1.2.0.5 to AVStoDVD Installer package
- Improved video and audio demuxing in 'Parse DVD' section (now using PgcDemux instead of DGIndex)
- Improved 'Title'/'Add Title' routine
- Updated 'A2DSouce.avsi' to support NicAudio's filters
- Updated AVStoDVD Homepage (migration from Googlepages to Google Sites)
- MediaInfo updated to 0.7.25


AVStoDVD release 2.2.4 (November 16th, 2009)
- Some bugs fixed
- Added 'Copy Title Settings' in Title Edit Section
- Added AVS Resize Filter 'Spline64Resize' (see help section for more details about filter choice)
- Added possibility to insert custom AVS Resize Filter in 'Preferences'/'Encoding'
- Added "-pad 0" to Aften command line to avoid initial 5 ms delay
- Changed 'Change ffdshow Mixer Output to same as input' to 'Adjust ffdshow Mixer Output at runtime' (mixer is adjusted to required channels when needed and not once during AVStoDVD start)
- Improved AviSynth scripts reading properties routine
- Improved log activity (added Preferences list)
- Improved support to VFR (Variable Frame Rate) video
- FFMpegSource updated to 2.12 (A2DSouce.avsi updated accordingly)
- MediaInfo updated to 0.7.24


AVStoDVD release 2.2.3 (October 23rd, 2009)
- Some bugs fixed
- Added 'Join Source Titles (AVS file)' new tool
- Changed default DVD burning speed from 2x to 4x
- Improved support to DGIndex Project files
- Improved Authoring routine
- Improved AviSynth script generation routine (resizing section)
- MediaInfo updated to 0.7.23


AVStoDVD release 2.2.2 (October 8th, 2009)
- Some bugs fixed
- Added 'DVD Parse' new form (experimental)
- Added 'DGIndex' 1.5.0 to AVStoDVD Installer package
- Added 'VobSub.dll' 2.23 and 'VSConv' 1.2.5 to AVStoDVD Installer package
- Added support to DGIndex Project files (*.d2v) as input files
- Added 'Advanced Project Settings' state saving to Windows Registry
- Added 'Sharpen' AviSynth filter in 'Title Edit'/'AviSynth'
- Added 'Fade In/Out' AviSynth filter in 'Title Edit'/'AviSynth'
- Added 'KernelDeint' AviSynth deinterlacing filter (by Donald Graft) in 'Title Edit'/'AviSynth'
- Added trim capability to DVD compliant streams (video and audio)
- Added warning about multiple video tracks input titles (not properly handled)
- Added warning about input titles with Extended ASCII chars (Asc(char) > 127)
- Added possibility to load DVD Menu settings from a saved AVStoDVD Project
- Improved handling and encoding of interlaced videos
- Changed DVD-5 size: from 4435 to 4450 MB
- Changed video/audio Muxer: from ImagoMPEG-Muxer to FFmpeg
- Removed ImagoMPEG-Muxer from AVStoDVD package
- Light restyling of Button Generator form
- Updated input video file list (added mts files)
- MediaInfo updated to 0.7.21
- ImgBurn updated to 2.5.0.0


AVStoDVD release 2.2.1 (July 27th, 2009)
- Some bugs fixed
- Added 'Import Chapters' option to 'Title Edit'/'Chapters' (IfoEdit CellTimes format supported)
- Added 'Force PlayAll Selection' option to DVD Menu Wizard
- Added 'Text Alignment' options to DVD Menu Editor
- Added 'Toolbar Position' customization ('Standard' or 'Floating') to DVD Menu Editor
- Added text output (debug purpose) to 'A2DSource.avsi' function
- Changed DVD Menu Background and PlayAll image files format: from jpg to bmp
- Improved DVD Menu Editor graphical items handling with mouse
- Improved AviSynth script generation routine (fixed 5.1 channels audio mapping issue, Audio source brought to script top)
- Improved log activity
- FFmpeg updated to r19159
- MediaInfo updated to 0.7.19


AVStoDVD release 2.2.0 Final (June 26th, 2009)
- Some bugs fixed
- Several minor GUI improvements
- Changed 'Settings' section in 'Preferences' section. Warning: now all changes made in 'Preferences' section are NOT reflected in current project settings.
- Added support to input files drag & drop onto AVStoDVD executable (improved CL handling)
- Added files drag&drop capability to main window
- Added support to customizable DVD Chapters (new tab in 'Title Edit' section and new functions in Preview Clip section)
- Added one Audio Track selection from multiple Audio Tracks input files
- Added last 5 recent Projects history in 'File' Menu section
- Added a progress bar window to monitor MuxMan authoring process
- Added a backup Audio encoding routine (ffmpeg based) if main routine fails. Thanks to Filbert @forum.doom9.org
- Added support to AviSynth scripts as input media format
- Added AviSynth function 'A2DInfo.avsi': a AviSynth Media Info function
- Added 'AC3 Audio Encoder' to 'Preferences'/'Encoding' (Wavi+Aften, FFmpeg+Aften, QuEnc)
- Added 'AUTO' option to 'Preferences'/'AudioVideo'/'Video Resolution'
- Added 'Audio Normalize' option to 'Preferences'/'AudioVideo'
- Removed 'Fix AC3 Errors' from 'Preferences'/'AudioVideo'
- Added 'Change ffdshow Mixer Output to <same as input>' option to 'Preferences'/'Misc'
- Added 'Title Edit'/'Refresh Title' option
- Added 'Title'/'View Title Info' command
- Added Wave PCM Audio support 
- Improved DTS audio track support
- Added 'Keep DVD Compliant Video' option in 'Title Edit'/'Video'
- Added WxH pixels info to 'Title Edit'/'Video'/'Video Resolution'
- Added 'Keep DVD Compliant Audio' option in 'Title Edit'/'Audio'
- Added 'Fix AC3 Errors' option to 'Title Edit'/'Audio'
- Moved 'Advanced Settings' tab from 'Preferences' to main AVStoDVD window (added new button/switch in the taskbar)
- Added 'Post Process' options in main window 'Advanced Settings'
- Removed 'DVD Label' from 'Preferences'/'AuthoringBurning'
- Added 'DVD Label' option to main window 'Advanced Settings'
- Removed 'Enable Multithread Encoding' option from 'Preferences'/'Encoding'
- Added 'Enable Multithread Encoding' option to main window 'Advanced Settings'
- Removed 'DVD Menu' tab from 'Preferences' section
- Added 'DVD Menu'/'Wizard' command & new form
- Added 'DVD Menu'/'Reset' command
- Added support to multi pages DVD Menu
- Added support to 4:3 Aspect Ratio DVD Menu
- Added support to text-only style DVD Menu
- Added possibility to remove 'Play All' button from DVD Menu
- Added DVD Menu highlights customization
- Added DVD Menu thumbnails shadow customization
- Added DVD Menu video bitrate customization
- Improved DVD Menu highlights links generation routine
- Improved 'MaxMenuTitles': from 17 to 99 titles
- Improved log file (added DVD Menu Building info)
- Improved errors handling
- Updated Help Section
- Re-added 'Avs2Avi' (AviSynth script processor)
- Added 'Haali Media Splitter' in AVStoDVD Installer package
- FFmpeg updated to r16596
- MediaInfo updated to 0.7.16
- ImgBurn updated to 2.4.4.0


AVStoDVD release 2.1.4 (February 8th, 2009)
- Some bugs fixed
- Added support to VCD resolutions (PAL 352x288, NTSC 352x240)
- Revised (and fixed) SubtitleCreator profiles
- Changed 'Video Lower Avg BitRate' min value in 'Settings'/'AudioVideo': from 1000 kbps to 500 kbps
- Changed WAV audio encoder: from 'FFMpeg r14277' to 'Wavi 1.06'
- Changed 'Fire Web' font: from 'Garamond' to 'Times New Roman'
- Improved 'Save/Open Project' routines
- Improved 'Clip Preview' section GUI
- Improved 'Keep DVD compliant Video/Audio' routines
- MediaInfo updated to 0.7.10
- HelpMaker (software used to create Help Section) updated to 7.4.4.0


AVStoDVD release 2.1.3 (January 18th, 2009)
- Some bugs fixed
- Added 'KeepDAR' feature (keep thumbnails Display Aspect Ratio) in DVD Menu Editor
- Added 'HL Links' feature (display HighLights links/dependencies) in DVD Menu Editor
- Added 'Button Generator' section in DVD Menu Editor 
- Added 'Muxed MPEG2 File' as Output Setup option (muxing is done by ImagoMPEG-Muxer)
- Changed AC3 audio encoder: from QuEnc to Aften r762
- Changed MPEG2 video demuxer: from 'ReJig 0.5f' to 'FFmpeg r14277'
- Removed ImgBurn from 'NoInstall' package. It is still present in the 'Installer' package as installer itself.
- Improved errors logging in AVStoDVD project log file
- Improved AVS Script generation function
- AviSynth updated to 2.5.8
- MediaInfo updated to 0.7.8


AVStoDVD release 2.1.2 (December 11th, 2008)
- Some bugs fixed
- Added 'FFMpegSource.dll': an AviSynth plug-in to open files using ffmpeg and nothing else (thanks to Myrsloik - http://forum.doom9.org/showthread.php?t=127037)
- Added 'GetSystemEnv.dll': an AviSynth plug-in to retrieve information from the system (thanks to stickboy - http://www.avisynth.org/stickboy)
- Added AviSynth function 'A2DSource.avsi': all-in-one AviSynth script input source functions manager
- Added AviSynth function 'ATrim.avsi': function to trim based on Audio times (thanks to IanB - http://forum.doom9.org/showthread.php?p=1065329)
- Added DTS audio streams retaining
- Added support to DVD Menu background audio
- Added support to DVD Menu background video
- Added 'Menu in Black' DVD Menu template
- Added 'Settings'/'Advanced'/'Edit Encoder Command Parameters at runtime' option 
- Added 'Settings'/'Advanced'/'Unload DirectShow ActiveMovie library at runtime' option (should prevent crashes caused by quartz.dll)
- Added 'Title Edit'/'Video'/'Auto BitRate Calculation'. When off video bitrate can be manually set
- Improved source files DAR (Display Aspect Ratio) identification and management
- Improved Clip Preview section stability
- Improved bitrate calculation routine
- Improved DVD Menu labels format (multi-line, outline, shadow)
- Improved DVD Menu highlights movements definition routine
- Improved NSIS installer package features (added components page)
- Updated video and audio format input list (divx, mjpg, ts, m2ts, hdmov, aac, flac)
- MediaInfo updated to 0.7.7.8


AVStoDVD release 2.1.1 (October 8th, 2008)
- Some bugs fixed
- Added 'Video Minimum Avg BitRate' in 'Settings'/'AudioVideo'. Lower value allowed is 1000 kbps. Default is 2500 kbps.
- Added 'Default Subs Language' in 'Settings/Authoring&Burning'
- Added 704x576 (PAL) and 704x480 (NTSC) as recognized compliant DVD Video resolution (now retained, not re-encoded)
- Added 'DV Source' auto detection in 'Title Edit'/'Video'
- Added frame capturing and saving (bitmap) feature in 'Clip Preview'
- Added frames selection customization to DVD Menu thumbnails (static and motion)
- Added 'GridSnap' feature (grid visualization and snap objects to grid) in DVD Menu Editor
- Changed 'Default Video Max BitRate' in 'Video Maximum Avg BitRate'. Higher value reduced to 8500 kbps to avoid bitrate spikes.
- Changed Video Max BitRate (peak) setpoint: now it is not customizable (9000 kbps)
- Changed AC3/MP2 audio demuxer: from 'VirtualDubMod 1.5.10.2' to 'FFmpeg r14277'
- Changed default external previewer: from 'VirtualDubMod 1.5.10.2' to Media Player Classic (if present) or system default AVIfile player
- Changed software to generate images/thumbs: from 'avs2avi' to 'FFmpeg r14277'
- Improved 'Clip Preview' form capabilities
- Improved 'Settings'/'System'/'Hardware Info' section
- Improved button shadows in DVD Menu Editor (new AviSynth function 'DropShadow')
- Improved authoring log activity: added BatchMux.log file
- MediaInfo updated to 0.7.7.6
- BatchMux updated to 1.3
- Moved from "GNU/GPL" to "Creative Commons - Attribution-Noncommercial 3.0 Unported" license type


AVStoDVD release 2.1.0 (August 22nd, 2008)
- Added simple DVD Menu editing and building (static and motion customizable thumbnails)
- Added multiple file selection in 'Add' Common Dialog window
- Added autoselect Audio and Subs files if they have same name as Video
- Added 'HCenc Advanced Configuration' option (AQ, Lumgain, Matrix, Profile) in 'Title Edit'/'Video'
- Added an option to quickly lock the Video Encoding Profiles
- Added 'Custom DVD Size' storing
- Added main AVStoDVD form position storing upon exit
- Added 'Restore default Settings' in main form menu
- Improved bitrate calculation routine
- Improved use of BatchMux (many thanks to Sir Didymus for his help)
- Improved use of API BrowseForFolder
- Improved log activity
- Removed internal check on DVD drive status before burning (ImgBurn does the stuff by itself)
- ImgBurn updated to 2.4.2.0
- MediaInfo updated to 0.7.7.4
- BatchMux updated to 1.1


AVStoDVD release 2.0.0 Final (May 17th, 2008)
- GUI redesigned
- Added possibility to add more titles to one DVD
- Added log activity window in main form
- Mouse right-click menus enabled in main form
- Added built-in Preview window (uses DirectShow ActiveMovie library quartz.dll)
- Added customizable skins
- Added a new more configurable 'Title Edit' form
- Added configurable Video Encoding Profiles setup (see Help for more details)
- Added CQ prediction calculation and 1-pass VBR encoding with HCenc
- Added support to SubRip (srt) text-based subtitles (using "SubtitleCreator", included in AVStoDVD installer package)
- Added possibility to hard-encode subtitles (using "VobSub" AviSynth plugin (VSFilter.dll), included in AVStoDVD installer package)
- Added 'AudioAmplify' shortcut in 'AviSynth Script Edit' window (now in 'Title Edit' form)
- Added split between 'temporary process' and 'AVStoDVD working' files classification
- Added check on m2v output filesize. If bigger than target, added a transcoding step using ReJig
- Added audio AC3 fixing step when AC3 track is demuxed from the original input file (using "AC3Fix", included in AVStoDVD installer package)
- Added prompt to save project when exiting from AVStoDVD
- Added possibility to make PayPal donations
- Improved AVStoDVD project log file
- Revised bitrate calculation routine and DVD-5/DVD-9 default sizes
- AVStoDVD settings are now stored in the Windows Registry (removed AVStoDVD.ini configuration file)
- HCenc updated to 0.23
- MediaInfo updated to 0.7.6.4
- ImgBurn updated to 2.4.1.0


AVStoDVD release 1.2.3 (February 14th, 2008)
- Minor bugs fixed
- MediaInfo updated to 0.7.5.9


AVStoDVD release 1.2.2 (February 7th, 2008)
- Minor bugs fixed
- Added "Half-D1" (352x576 PAL, 352x480 NTSC) to Video Format settings
- Added possibility to change Media Player used to preview output
- Added check on output m2v file FPS before starting DGPulldown
- Added check on output filename. If it exists, a "_1" extension is added
- Added check on DVD disc presence in drive before burning
- Added "DefaultCustomSize" preference in AVStoDVD.ini
- MediaInfo.dll is now required only in AVStoDVD folder (no need to copy it in Windows\System32)
- MediaInfo updated to 0.7.5.6
- QuEnc updated to 0.75Alpha
- HCenc is now feeded by .ini file and not by full command line instructions.
- Removed mscomct2.ocx ActiveX Control from installer package
- CreateInstall Free replaced by NSIS as installer creating software 


AVStoDVD release 1.2.1 (December 8th, 2007)
- Lots of minor bugs fixed
- MediaInfo updated to 0.7.5.5
- Added required software presence check during start-up 
- Removed MultiCoreEnc as QuEnc multithread wrapper because of several "Access Violation" error reports


AVStoDVD release 1.2.0 (November 17th, 2007)
- Sobstituted DVDAuthor package with MuxMan/BatchMux for authoring purpose
- HCenc is now the default "Very High Quality" encoder (included in installer)
- HCenc updated to 0.22
- QuEnc is the default "High and Standard Quality" encoder
- DGPulldown is now always used to upsize fps
- Removed support to CCE SP
- Removed "Muxed MPEG2 Stream" output
- Removed support to txt-based subs and added support to Scenartist/IfoEdit compatible subs.
- Revised "DC Precision" calculation routine
- Revised progress bar management in Progress Status Window
- Updtated Shutdown function: now it works from Win95 to Vista
- Added possibility to select Burning Drives not identified as "capable" to burn DVD
- Added check on Output Folder filesystem to prevent overcoming 4 GB limit
- Added Software Info (required software check) in Settings/System Window
- Moved HCenc Quant Matrix combobox to Settings Window


AVStoDVD release 1.1.3 (October 11th, 2007)
- Some bugs fixed
- MediaInfo updated to 0.7.5.3
- Added support to multi core CPU (max 4) by using MultiCoreEnc.exe (available only to QuEnc)
- Added "Settings/System Preference" tab
- Added "DefaultEncodingQuality", "DefaultVideoMaxBitRate", "DefaultAudioBitRate" preferences in AVStoDVD.ini
- Added AviSynth Normalize() audio function in AVS Script
- Revised encoder selection criteria (1): HCenc and CCE SP can be used only for "Very High Quality" encoding
- Revised encoder selection criteria (2): QuEnc is automatically used when choosing "High Quality" or "Standard Quality" encoding
- Revised Audio Time length detection thru MediaInfo


AVStoDVD release 1.1.2 (September 24th, 2007)
- Some bugs fixed
- Added AviSynth Crop filter management
- Added AviSynth Tweak filter management
- Added Static Preview (experimental) in AVS Script Window
- Removed "Deinterlace" option in AVS Script Window. Everyone can choose and insert manually their preferred deintelacing filter.
- Added release number in ini file and startup check
- Added "Scene Detection" also to QuEnc encoding ("Very High" and "High" Quality profiles)
- Tested on Vista: OK


AVStoDVD release 1.1.1 (August 24th, 2007)
- Some bugs fixed
- Revised "Settings/Encoding" Window layout
- Removed "Automatic" option in "AVS Source Filter"
- Added VideoInterlacement in video stream info
- Added "ConvertFPS()" option in "FPS Upsize Filter"
- Added "ConvertToMono" function to AVS Script if source audio has 1 channel
- Added "NoInstall" package without installer (7-Zip file)


AVStoDVD release 1.1.0 (August 10th, 2007)
- Some bugs fixed
- Moved Postprocessing Options to Settings Window
- Moved MPEG2 Advanced Options to Main Window
- Added "Close All GOPs" among MPEG2 Advanced Options
- Added DGPulldown support (exe included in the installer)
- Added text subtitles multiplexing
- Added Spline16Resize and made Lanczos4Resize as default
- Added consistency check on source files at job startup
- Changed default DVD sizes from 4438/8876 to 4435/8870 for subtitles support
- Revised resizing procedure in AVS Script
- Improved log activity saving


AVStoDVD release 1.0.1 (July 27th, 2007)
- Some bugs fixed
- MediaInfo updated to 0.7.5.0
- Improved Help Content
- Revised max bitrate automatic calculation
- Added 2CoreEnc for Dual Core CPU systems (QuEnc only supported - to be configured manually)
- Added "convertfps=true" for video DirectShowSource to support VFR video streams (WMV, ASF, MKV)


AVStoDVD release 1.0.0 Final (June 29th, 2007)
- A good amount of bugs fixed
- Improved batch encoding
- Improved log activity saving


AVStoDVD release 1.0.0 beta 5 (June 22th, 2007)
- Added AviSynth basic settings preferences
- Added MPEG2 advanced encoding options
- Added "No Splash Screen at startup" option
- Improved support to CCE SP (2.50, 2.66, 2.67, not 2.70)
- Improved AVS Script handling
- Improved support of DTS audio tracks
- A bunch of bugs fixed


AVStoDVD release 1.0.0 beta 4 (June 15th, 2007)
- Added option to use "AviSource" instead of "DirectShowSource", if possible
- Improved AVS Script handling
- Added support to HCenc (not included in the installer)
- Added support to CCE SP (not included in the installer)
- Added a Jobs List Window for batch encoding


AVStoDVD release 1.0.0 beta 3 (June 4th, 2007)
- First public release
- VirtualDubMod release 1.5.10.2
- MediaInfo release 0.7.4.7
- DVDAuthor release 0.6.9
- QuEnc release 0.72
- ReJig release 0.5f
- ImgBurn release 2.3.2.0